Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class DLSInfo

    java.lang.Object
      com.sun.media.sound.DLSInfo

    public class DLSInfo

extends java.lang.Object

This class is used to store information to describe soundbanks, instruments and samples. It is stored inside a "INFO" List Chunk inside DLS files.

Author:
  Karl Helgason

Field Summary
`java.lang.String` | `archival_location` (IARL) Where content is archived.
`java.lang.String` | `artist` (IART) Artists of original content.
`java.lang.String` | `comments` (ICMT) General comments.
`java.lang.String` | `commissioned` (ICMS) Names of persons or orginizations who commissioned the file.
`java.lang.String` | `copyright` (ICOP) Copyright information.
`java.lang.String` | `creationDate` (ICRD) Date of creation, the format is: YYYY-MM-DD.
`java.lang.String` | `engineers` (IENG) Name of engineer who created the object.
`java.lang.String` | `genre` (IGNR) Genre of the work.
`java.lang.String` | `keywords` (IKEY) List of keyword that describe the content.
`java.lang.String` | `medium` (IMED) Describes original medium of the data.
`java.lang.String` | `name` (INAM) Title or subject.
`java.lang.String` | `product` (IPRD) Name of the product which the object is intended for.
`java.lang.String` | `source` (ISRC) Name of person or orginization who supplied orginal material for the file.
`java.lang.String` | `source_form` (ISRF) Source media for sample data is from.
`java.lang.String` | `subject` (ISBJ) Description of the content.
`java.lang.String` | `technician` (ITCH) Technician who sample the file/object.
`java.lang.String` | `tools` (ISFT) Name of software package used to create the file.

Constructor Summary
`DLSInfo()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  (INAM) Title or subject.

### creationDate

    public java.lang.String creationDate

  (ICRD) Date of creation, the format is: YYYY-MM-DD. For example 2007-01-01 for 1. january of year 2007.

### engineers

    public java.lang.String engineers

  (IENG) Name of engineer who created the object.

### product

    public java.lang.String product

  (IPRD) Name of the product which the object is intended for.

### copyright

    public java.lang.String copyright

  (ICOP) Copyright information.

### comments

    public java.lang.String comments

  (ICMT) General comments. Doesn't contain newline characters.

### tools

    public java.lang.String tools

  (ISFT) Name of software package used to create the file.

### archival_location

    public java.lang.String archival_location

  (IARL) Where content is archived.

### artist

    public java.lang.String artist

  (IART) Artists of original content.

### commissioned

    public java.lang.String commissioned

  (ICMS) Names of persons or orginizations who commissioned the file.

### genre

    public java.lang.String genre

  (IGNR) Genre of the work. Example: jazz, classical, rock, etc.

### keywords

    public java.lang.String keywords

  (IKEY) List of keyword that describe the content. Examples: FX, bird, piano, etc.

### medium

    public java.lang.String medium

  (IMED) Describes original medium of the data. For example: record, CD, etc.

### subject

    public java.lang.String subject

  (ISBJ) Description of the content.

### source

    public java.lang.String source

  (ISRC) Name of person or orginization who supplied orginal material for the file.

### source_form

    public java.lang.String source_form

  (ISRF) Source media for sample data is from. For example: CD, TV, etc.

### technician

    public java.lang.String technician

  (ITCH) Technician who sample the file/object.

Constructor Detail

### DLSInfo

    public DLSInfo()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD